"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const commander_1 = __importDefault(require("commander"));
function getNetwork(cmd) {
    switch (true) {
        case cmd.local:
            return "local";
        case cmd.ropsten:
            return "ropsten";
        case cmd.rinkeby:
            return "rinkeby";
        case cmd.minenet:
            return "mainenet";
        default:
            return "local";
    }
}
function startDeamon(network, privateKey, options) {
    process.env.DC_NETWORK = network;
    process.env.ACCOUNT_PRIVATE_KEY = privateKey;
    process.env.DAPPS_FULL_PATH = path_1.default.join(__dirname, '../../data/dapps/');
    process.env.PLATFORM_ID = options.platformid || '';
    require('../index')
        .start();
}
commander_1.default
    .version(require("../../package.json").version)
    .usage("<command> [options]")
    .description("Deamon for bankroller-core");
commander_1.default
    .command("start <privateKye>")
    .usage("<privateKey> [options]")
    .description("start bankroller-core with params")
    .option("-l, --local", "start bankroller-core with local network")
    .option("-r, --ropsten", "start bankroller-core with ropsten network")
    .option("-n, --rinkeby", "start bankroller-core with rinkeby network")
    .option("-d, --dapp-path <path>", "path to dapp logic in bankroller")
    .option('-p, --platformid <platformid>', 'Input platform id for start')
    .action((privateKey, cmd) => {
    const networt = getNetwork(cmd);
    startDeamon(networt, privateKey, cmd);
});
commander_1.default.parse(process.argv);
//# sourceMappingURL=deamon.js.map