/// <reference types="node" />
import { DApp } from "dc-core";
import { IMessagingProvider } from "dc-messaging";
import { EventEmitter } from "events";
import { IBankroller, GameInstanceInfo, GameUpload } from "../intefaces/IBankroller";
export default class Bankroller extends EventEmitter implements IBankroller {
    static STATUS_SUCCESS: string;
    static STATUS_FAILURE: string;
    static EVENT_UPLOAD_GAME: string;
    static EVENT_UNLOAD_GAME: string;
    private _started;
    private _loadedDirectories;
    private _eth;
    private _apiRoomAddress;
    private _platformId;
    private _blockchainNetwork;
    gamesMap: Map<string, DApp>;
    gamesPath: Map<string, string>;
    id: string;
    private _transportProvider;
    private _pingService;
    constructor();
    private _getApiRoomAddress;
    getApiRoomAddress(): string;
    getPlatformId(): string;
    start(transportProvider: IMessagingProvider): Promise<IBankroller>;
    isStarted(): boolean;
    stop(): Promise<boolean>;
    uploadGame({ name, files, reload }: GameUpload): Promise<{
        status: string;
    }>;
    unloadGame(name: string): Promise<{
        status: string;
    }>;
    getGames(): {
        name: string;
        path: string;
    }[];
    getGameInstances(name: string): GameInstanceInfo[];
    private tryLoadDApp;
    private tryUnloadDApp;
    eventNames(): string[];
}
