"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const Bankroller_1 = __importDefault(require("./dapps/Bankroller"));
const dc_messaging_1 = require("dc-messaging");
const dc_logging_1 = require("dc-logging");
const dc_configs_1 = require("dc-configs");
const logger = new dc_logging_1.Logger('Bankroller:');
const bankrollerStart = async () => {
    let transportType = dc_configs_1.config.default.transport;
    if (process.env.DC_TRANSPORT && process.env.DC_TRANSPORT in dc_configs_1.TransportType) {
        transportType = dc_configs_1.TransportType[process.env.DC_TRANSPORT];
    }
    logger.debug('');
    logger.debug('');
    logger.debug('-------------------------------');
    logger.debug('BANKROLLER NODE START          ');
    logger.debug('Bankroller transport:', dc_configs_1.TransportType[transportType]);
    logger.debug('process.env.DC_NETWORK: ', process.env.DC_NETWORK);
    logger.debug('Bankroller private key', process.env.ACCOUNT_PRIVATE_KEY);
    logger.debug('DApps path', process.env.DAPPS_FULL_PATH || process.env.DAPPS_PATH);
    logger.debug('-------------------------------');
    logger.debug('');
    logger.debug('');
    try {
        const factory = new dc_messaging_1.TransportProviderFactory(transportType);
        const bankrollerTransportProvider = await factory.create();
        return await new Bankroller_1.default().start(bankrollerTransportProvider);
    }
    catch (error) {
        logger.debug(error);
        process.exitCode = 1;
        process.kill(process.pid, 'SIGTERM');
    }
};
exports.start = bankrollerStart;
//# sourceMappingURL=index.js.map